// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package verification_user

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/users/api/internal/logic/verification_user"
	"juwan-backend/app/users/api/internal/svc"
	"juwan-backend/app/users/api/internal/types"
)

// 提交或修改角色认证申请 (支持幂等更新)
func ApplyVerificationHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ApplyVerificationReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := verification_user.NewApplyVerificationLogic(r.Context(), svcCtx)
		resp, err := l.ApplyVerification(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
